%define upstream_name    Want
%define upstream_version 0.21

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A generalisation of wantarray
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/R/RO/ROBIN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel
%description
This module generalises the mechanism of the wantarray function, allowing a
function to determine in some detail how its return value is going to be
immediately used.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Want.pm
%{perl_vendorarch}/auto/Want
%{_mandir}/*/*

%changelog

* Mon Mar 05 2012 jquelin <jquelin> 0.210.0-1.mga2
+ Revision: 218863
- update to 0.21

* Fri Feb 24 2012 jquelin <jquelin> 0.200.0-1.mga2
+ Revision: 213796
- update to 0.20

* Sun Jun 12 2011 sander85 <sander85> 0.18-7.mga2
+ Revision: 104871
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.18-6.mga1
+ Revision: 31456
- mageia rebuild
- imported package perl-Want


* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.18-6mdv2011.0
+ Revision: 555214
- rebuild

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.18-5mdv2010.0
+ Revision: 430654
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.18-4mdv2009.0
+ Revision: 258782
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.18-3mdv2009.0
+ Revision: 246696
- rebuild

* Fri Feb 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.18-1mdv2008.1
+ Revision: 176707
- new version

* Mon Jan 14 2008 Pixel <pixel@mandriva.com> 0.14-2mdv2008.1
+ Revision: 151358
- rebuild for perl-5.10.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.14-1mdv2008.0
+ Revision: 23601
- 0.14


* Wed Mar 29 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- 0.10

* Thu Jul 14 2005 Andreas Hasenack <andreas@mandriva.com> 0.09-1mdk
- initial Mandriva package

